#ifndef SETTINGS_DIALOG_H_
#define SETTINGS_DIALOG_H_

#include "c4d.h"
#include "c4d_customdatatype.h"
#include "maxon/datatype.h"
// #include "customgui_gradient.h"
#include "c4d_gui.h"
// #include "splinevis.h"


enum
{
	IDC_LINK_SPLINE = 1000,
	IDC_GRADIENT_COLOR_RAMP,
	IDC_USER_AREA_KNOB_PREVIEW,
	IDC_REAL_KNOB_SIZE,
	IDC_REAL_TIME_MULTIPLIER,
};

class SplineVisUserArea;

// Knob Preview
class KnobPreview : public GeUserArea
{
public:
	KnobPreview();
	~KnobPreview();
	virtual Bool GetMinSize(Int32& w, Int32& h);
	virtual void DrawMsg(Int32 x1, Int32 y1, Int32 x2, Int32 y2, const BaseContainer& msg);
	virtual Bool InputEvent(const BaseContainer& msg);
};

// Settings Dialog 
class SettingsDialog : public GeDialog
{
public:
	//SettingsDialog(SplineVisUserArea* geuserarea);
	SettingsDialog();
	virtual Bool InitValues();
	virtual ~SettingsDialog();
	virtual bool CreateLayout();
	virtual Bool Command(Int32 id, const BaseContainer& msg);
	virtual void DestroyWindow(void);
	//virtual Int32 Message(const BaseContainer& msg, BaseContainer& result);
public:
	Gradient* grad;
	//SplineVisUserArea* holder;
	
private:
	// TestUserArea _TestArea;// the user area that will be added to the dialog
	//C4DGadget* _color_gradient;
	GradientCustomGui* gradientGui;
	//Gradient* grad;
	KnobPreview _preview;
	

};




























#endif //SETTINGS_DIALOG_H_